﻿using System;
using System.Runtime.Serialization;
using Kreta.Framework.Localization;
using Kreta.Framework.Logging;

namespace Kreta.Framework.Security
{
    /// <summary>
    /// Érvénytelen jelszó.
    /// </summary>
    [FriendlyName(1000010, "Hibás felhasználónév vagy jelszó!")]
    [ErrorCode(Events.SECURITY_LOGINFAILED)]
    [Serializable]
    public sealed class IncorrectPasswordException : SecurityException
    {
        /// <summary>
        /// Az osztály konstruktora
        /// </summary>
        /// <param name="loginName"></param>
        public IncorrectPasswordException(string loginName)
            : base("Hibás felhasználónév vagy jelszó!")
        {
            this.SetValue("LoginName", loginName);
        }

        /// <summary>
        /// Az osztály konstruktora.
        /// </summary>
        /// <param name="info">Sorosítási adatok</param>
        /// <param name="context">Sorosítási adatfolyam</param>
        IncorrectPasswordException(SerializationInfo info, StreamingContext context)
            : base(info, context) { }
    }
}
