﻿using System;

namespace Kreta.Framework.Security
{
    public enum PasswordState
    {
        INVALID,
        VALID,
        EXPIRED_BY_DATABASE,
        EXPIRED_BY_POLICY,
    }

    [Serializable]
    public class LoginInfo
    {
        public LoginInfo()
        {
        }

        public LoginInfo(string sessionId, int uniqueIdentifier, string clientIP, int felhasznaloId, string belepesiNev, string intezmenyAzonosito = null)
        {
            SessionID = sessionId;
            UniqueIdentifier = uniqueIdentifier;
            ClientIP = clientIP;
            FelhasznaloId = felhasznaloId;
            BelepesiNev = belepesiNev;
            IntezmenyAzonosito = intezmenyAzonosito;
        }

        public PasswordState PasswordState { get; set; } = PasswordState.INVALID;

        public string IntezmenyAzonosito { get; set; }

        public int IntezmenyId { get; set; }

        public int AktivTanevId { get; set; }

        public int SelectedTanevId { get; set; }

        public int? AktivTanevEgyediAzonosito { get; set; }

        public string SessionID { get; set; }

        public string BelepesiNev { get; set; }

        public int UniqueIdentifier { get; set; }

        public int FelhasznaloId { get; set; }

        public string FelhasznaloEgyediAzonosito { get; set; }

        public Guid FelhasznaloIdpEgyediAzonosito { get; set; }

        public Guid? GondviseloIdpEgyediAzonosito { get; set; }

        public int? GondviseloId { get; set; }

        public string GondviseloEgyediAzonosito { get; set; }

        public string GondviseloNeve { get; set; }

        public string NyomtatasiNev { get; set; }

        public string KodoltJelszo { get; set; }

        public string So { get; set; }

        public string NeptunNaploJelszo { get; set; }

        public DateTime? UtolsoBelepesIdeje { get; set; }

        public bool JelszotKotelezoValtoztatni { get; set; }

        public int MeghiusultBelepes { get; set; }

        public string Utonev { get; set; }

        public string Vezeteknev { get; set; }

        public string AnyjaNeve { get; set; }

        public DateTime SzuletesiDatum { get; set; }

        public string SzuletesiHely { get; set; }

        public bool IsDeniedSzirIntezmenyUser { get; set; }

        public bool IsDeniedArchivIntezmenyUser { get; set; }

        public string ClientIP { get; set; }

        public string ElsodlegesEmailCim { get; set; }

        public int BelepesId { get; set; }
    }
}
